---
name: 'RFC'
about: Propose an enhancement / feature and start a discussion
title: 'RFC: Your Proposal'
labels: "future \U0001F52E"
---

<!--
  🚨 RFCs are for proposed changes (not bugs or questions)
  Specifically they are whenever you'd like to see new features
  being added to urql, or enable new use-cases.
  They're also relevant whenever @urql/core is changed, since
  changes to e.g. the `Client` or `Exchange` types are kept rare
  and lean.
-->

## Summary

<!--
  Describe in a couple of words *what* you're proposing.
  If relevant, include *why* this should be addressed now.
  The problem should be clearly stated and the solution
  should be summarised.
-->

## Proposed Solution

<!--
  Explain the solution you're proposing in detail.
  *How* will this change be implemented, and how does it work?
-->

## Requirements

<!--
  This section is *optional*.
  But if your proposed solution has multiple ways
  of being implemented, you don't want to state how
  it may be implemented, or you don't know yet how
  it will be implemented, then:
  *List* what the implementation needs to achieve to fulfil this RFC;
-->
